Add an item under a new key

- « Memcached

- Memcached::addByKey »

- PHP Manual
- Memcached
- Add an item under a new key

# Memcached::add

(PECL memcached >= 0.1.0)

Memcached::add — Add an item under a new key

### Description

public Memcached::add(string `$key`, mixed `$value`, int `$expiration` = 0): bool

Memcached::add() is similar to Memcached::set(), but the operation fails if the `key` already exists on the server.

### Parameters

`key`

  The key under which to store the value.

`value`

  The value to store.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `true` on success or `false` on failure. The Memcached::getResultCode() will return `Memcached::RES_NOTSTORED` if the key already exists.

### See Also

- Memcached::addByKey() - Add an item under a new key on a specific server
- Memcached::set() - Store an item
- Memcached::replace() - Replace the item under an existing key